﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Xml;
public partial class productlist : System.Web.UI.Page
{
    taobaoApi myapi = null;
    public DataTable dt = null;
    string sip_sessionid = "";
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["sip_sessionid"] != null)
        {
            sip_sessionid = Session["sip_sessionid"].ToString();
        }
        else
        {
            sip_sessionid = Guid.NewGuid().ToString();
            Session["sip_sessionid"] = sip_sessionid;
        }

        GetProList();
    }


    private void CreatTable()
    {
        dt = new DataTable("ITEM");

        dt.Columns.Add("iid", typeof(string));
        dt.Columns.Add("title", typeof(string));

        dt.Columns.Add("delist_time", typeof(DateTime));
        dt.Columns.Add("nick", typeof(string));

        dt.Columns.Add("pic_path", typeof(string));
        dt.Columns.Add("price", typeof(string));

        dt.Columns.Add("type", typeof(string));
        dt.Columns.Add("cid", typeof(string));
        dt.Columns.Add("post_fee", typeof(string));

    }




    private void AddXmlNodesToTable(XmlNodeList nodes)
    {
        DataRow dr = null;
     
        foreach (XmlNode node in nodes)
        {
            dr = dt.NewRow();
            dr["iid"] = node.SelectSingleNode("iid").InnerText;
            dr["title"] = node.SelectSingleNode("title").InnerText;

            dr["delist_time"] = node.SelectSingleNode("delist_time").InnerText;
            dr["nick"] = node.SelectSingleNode("nick").InnerText;

            dr["pic_path"] = node.SelectSingleNode("pic_path").InnerText;


            dr["price"] = node.SelectSingleNode("price").InnerText;
            dr["type"] = node.SelectSingleNode("type").InnerText;
            dr["cid"] = node.SelectSingleNode("cid").InnerText;
            //dr["post_fee"] = "";
            dt.Rows.Add(dr);

        }
    }
    /// <summary>
    /// 获取产品列表
    ///// </summary>
    private void GetProList()
    {
        //掌柜鑫名品，查看其宝贝列表，我无意冒犯掌柜鑫名品
        #region 绑定到GridView1
        CreatTable();
        myapi = new taobaoApi();
        XmlDocument mydoc = myapi.taobao_items_get("", "iid,title,nick,type,cid,pic_path,delist_time,price,post_fee", 0, 0, "鑫名品");
        XmlNodeList mylist = mydoc.SelectNodes("rsp/item");
        int num = int.Parse(mydoc.SelectSingleNode("/rsp/totalResults").InnerText);
        try
        {
            AddXmlNodesToTable(mylist);

            //this.Label1.Text = "共有 " + num.ToString() + " 商品";
            this.GridView1.DataSource = dt;
            this.GridView1.DataBind();
        }
        catch (Exception err)
        {
            string test = err.Message;
        }
        #endregion

        #region 返回string值，主要是根据string内容，生成xmlnodelist

        //myapi = new taobaoApi();
        //string mydoc = myapi.taobao_items_get2("", "iid,title,nick,type,cid,pic_path,delist_time,price,post_fee", 0, 0, "鑫名品");
        //divMeg.InnerText = mydoc;
        #endregion


    }
}
